// Initialise the global array that allows the lookup of the depth of a given object
// GM2.0 does not have a depth on objects so on import from 1.x a global array is created
// NOTE: MacroExpansion is used to insert the array initialisation at import time
gml_pragma( "global", "__global_object_depths()");

// insert the generated arrays here
global.__objectDepths[0] = 0; // o_global
global.__objectDepths[1] = 10; // o_master
global.__objectDepths[2] = 1; // o_particles
global.__objectDepths[3] = 0; // o_rockMaker
global.__objectDepths[4] = 0; // o_rock
global.__objectDepths[5] = 0; // o_flipRock
global.__objectDepths[6] = 0; // o_radar
global.__objectDepths[7] = 0; // o_player
global.__objectDepths[8] = 0; // o_screenShaker
global.__objectDepths[9] = 0; // o_example
global.__objectDepths[10] = 0; // o_circle


global.__objectNames[0] = "o_global";
global.__objectNames[1] = "o_master";
global.__objectNames[2] = "o_particles";
global.__objectNames[3] = "o_rockMaker";
global.__objectNames[4] = "o_rock";
global.__objectNames[5] = "o_flipRock";
global.__objectNames[6] = "o_radar";
global.__objectNames[7] = "o_player";
global.__objectNames[8] = "o_screenShaker";
global.__objectNames[9] = "o_example";
global.__objectNames[10] = "o_circle";


// create another array that has the correct entries
var len = array_length_1d(global.__objectDepths);
global.__objectID2Depth = [];
for( var i=0; i<len; ++i ) {
	var objID = asset_get_index( global.__objectNames[i] );
	if (objID >= 0) {
		global.__objectID2Depth[ objID ] = global.__objectDepths[i];
	} // end if
} // end for